EBUMP(1)

NAME

ebump - Gentoo: Ebuild revision bumper

SYNTAX

ebump [option] <package-name[-version]>

DESCRIPTION

ebump bumps the revision of a particular ebuild, and all auxiliary files in the files/ directory that have a matching version suffix.

By default, the all new revision files will be added to the VCS.

You must stand in the directory of the ebuild to be bumped.

OPTIONS

-C
--no-vcs

    Do not add new files to VCS.

-V
--version

    Display version information and exit.

-v
--verbose

    Increase verbosity level. May be used more than once.

-q
--quiet

    Do not output any non-essential information.

-a
--no-auxfiles

    don't bump auxfiles (files/*)

-c
--no-changelog

    do not update ChangeLog (via echangelog)

-m <ChangeLog text>
--message <ChangeLog text>

    Specifies the message to add to the ChangeLog, instead of the standard placeholder.

-d
--delete-old

    Delete old revision and old auxiliary files from VCS. This is dangerous and should only be used if you know exactly what you are doing, because
    1) the old revision may be stable on a different architecture than the one you are working on.
    2) the auxiliary files may be required by other versions of the ebuild.
    3) the new revision should usually undergo a period of testing before being marked stable.

CONFIGURATION

/etc/gentoolkit/ebump.conf
~/.gentoo/ebump.conf

    From these files, ebump will load the settings
    opt_verbosity (default 1) - verbosity level 0-10
    opt_add_changelog (default y) - add entry in ChangeLog
    opt_add_vcs (default y) - add new files to VCS
    opt_bump_auxfiles (default y) - bump auxiliary files in files/
    opt_delete_old (default n) - delete old revision (DANGEROUS!)
    opt_commitmessage (default "") - default ChangeLog message

(DEPRECATED)
~/.gentoo/gentool-env From this file, ebump will load the env vars AUTHORNAME and AUTHOREMAIL, which are used to generate proper ChangeLog entries.

SEE ALSO

The rest of the utilities in app-portage/gentoolkit-dev, such as echangelog(1) and ekeyword(1).

AUTHORS

Karl Trygve Kalleberg <karltk@gentoo.org>
Christian Ruppert <idl0r@gentoo.org>